<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('banks', function (Blueprint $table) {
            $table->uuid('id')->primary();
            $table->string('name');
            $table->string('oneapp_code')->nullable();
            $table->string('paystack_code')->nullable();
            $table->string('monnify_code')->nullable();
            $table->string('safeheaven_code')->nullable();
            $table->string('fintava_short_code')->nullable();
            $table->string('bani_code')->nullable();
            $table->string('bani_list_code')->nullable();
            $table->string('kora_code')->nullable();
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('banks');
    }
};
